at.chipkarte.client.ebs.soap

## Class Leistungskatalog

- Object
- - at.chipkarte.client.ebs.soap.Leistungskatalog

-     public class Leistungskatalog
      extends Object

  Dient der Ausgabe von Informationen zu den ermittelten Leistungskatalog. Hinweis: Der entsprechende Leistungskatalog für einen Antrag wird immer aktuell aufgrund des Antragstyps und des zuständigen KV-Trägers des Patienten ermittelt.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Leistungskatalog()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAntragstyp()` Antragstyp zu dem der Leistungskatalog ermittelt wurde.
    `Katalogleistung[]` | `getKatalogleistungen()` Ermittelte aktuell gültige Katalogleistungen zum Antragstyp und zum Träger.
    `Kategorie[]` | `getKategorien()` Zu den Katalogleistungen ermittelte Kategorien.
    `String` | `getKvt()` KV-Träger zu dem der Leistungskatalog ermittelt wurde (und bei dem der Patient versichert ist).
    `void` | `setAntragstyp(String antragstyp)`
    `void` | `setKatalogleistungen(Katalogleistung[] katalogleistungen)`
    `void` | `setKategorien(Kategorie[] kategorien)`
    `void` | `setKvt(String kvt)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Leistungskatalog

          public Leistungskatalog()

  - ### Method Detail

    - #### getAntragstyp

          public String getAntragstyp()

      Antragstyp zu dem der Leistungskatalog ermittelt wurde.
      Mögliche Werte (Code der Basisdaten im AntragstypDetail) siehe `antragstypenErmitteln`.
      Angabe: Muss. Muss angegeben werden bei Aktueller Erfassung (Verwendung der Funktion erfassenVerordnerAntrag) wenn ein passender Vertrag vorliegt und der Patienten-KVT gleich TGKK ist bzw. der Patienten-KVT gleich KGKK ist und das Fachgebiet der Verordnung eines der folgenden FGs ist: 01, 06, 07, 08, 10, 11, 12, 13, 15, 16, 18, 19 oder 20.
      Returns:
        Antragstyp.

    - #### setAntragstyp

          public void setAntragstyp(String antragstyp)

    - #### getKvt

          public String getKvt()

      KV-Träger zu dem der Leistungskatalog ermittelt wurde (und bei dem der Patient versichert ist).
      Mögliche Werte siehe `getSVTs`.
      Angabe: Muss. Muss angegeben werden bei Aktueller Erfassung (Verwendung der Funktion erfassenVerordnerAntrag) wenn ein passender Vertrag vorliegt und der Patienten-KVT gleich TGKK ist bzw. der Patienten-KVT gleich KGKK ist und das Fachgebiet der Verordnung eines der folgenden FGs ist: 01, 06, 07, 08, 10, 11, 12, 13, 15, 16, 18, 19 oder 20.
      Returns:
        Kvt.

    - #### setKvt

          public void setKvt(String kvt)

    - #### getKatalogleistungen

          public Katalogleistung[] getKatalogleistungen()

      Ermittelte aktuell gültige Katalogleistungen zum Antragstyp und zum Träger. Siehe `Katalogleistung`.
      Hinweis: Konnten keine Katalogleistungen ermittelt werden, bleibt der Parameter leer (es können in diesem Fall nur Freitextleistungen erfasst werden).
      Angabe: Kann. Muss angegeben werden bei Aktueller Erfassung (Verwendung der Funktion erfassenVerordnerAntrag) wenn ein passender Vertrag vorliegt und der Patienten-KVT gleich TGKK ist bzw. der Patienten-KVT gleich KGKK ist und das Fachgebiet der Verordnung eines der folgenden FGs ist: 01, 06, 07, 08, 10, 11, 12, 13, 15, 16, 18, 19 oder 20.
      0 bis n Elemente.
      Returns:
        Katalogleistungen.

    - #### setKatalogleistungen

          public void setKatalogleistungen(Katalogleistung[] katalogleistungen)

    - #### getKategorien

          public Kategorie[] getKategorien()

      Zu den Katalogleistungen ermittelte Kategorien. Siehe `Kategorie`.
      Angabe: Kann. Muss angegeben werden bei Aktueller Erfassung (Verwendung der Funktion erfassenVerordnerAntrag) wenn ein passender Vertrag vorliegt und der Patienten-KVT gleich TGKK ist bzw. der Patienten-KVT gleich KGKK ist und das Fachgebiet der Verordnung eines der folgenden FGs ist: 01, 06, 07, 08, 10, 11, 12, 13, 15, 16, 18, 19 oder 20.
      0 bis n Elemente.
      Returns:
        Kategorien.

    - #### setKategorien

          public void setKategorien(Kategorie[] kategorien)